Bug 711024 - Rebase wireshark to latest upstream stable release
Rebase wireshark to latest upstream stable release
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: wireshark (Show other bugs)
6.1
All Linux
high Severity high
: rc
: 6.5
Assigned To: Peter Hatina
Dalibor Pospíšil
: Rebase, Reopened, TestBlocker
: 879121 (view as bug list)
Depends On:
Blocks: 835616 836170 947784 960054
  Show dependency treegraph
 
Reported: 2011-06-06 05:21 EDT by Jan Safranek
Modified: 2013-11-21 15:02 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 02:28:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Safranek 2011-06-06 05:21:42 EDT
We ship wireshark-1.2.x in RHEL6. This version is still maintained by upstream, but it's lifetime ends in August 2011 (current upstream estimation). Therefore I propose to rebase to Wireshark 1.4.y, which works well in Fedora 14+15 and will be supported by upstream in the future.

Wireshark is traditionally being rebased in async security erratas (1.2.x -> 1.2.x+1), but 1.2.x is going to die soon and having 1.4 in RHEL6 would reduce maintenance overhead with backporting security patches and thus increase maintainer's happiness.

There is no direct customer request for Wireshark 1.4 in RHEL6, still I think customers would benefit from that change too with new and updated protocol dissectors.
Comment 2 Jan Safranek 2011-06-06 05:28:32 EDT
For changes between 1.2 and 1.4 check all 1.4.x release notes at http://www.wireshark.org/docs/relnotes/
Comment 6 Jan Safranek 2011-06-29 03:52:09 EDT
In the meantime, Wireshark 1.6 has been released with following note:

The 1.2.x series of Wireshark releases will reach end of life on June 30, 2011. If you are still using Wireshark 1.2 we strongly encourage you to upgrade to 1.6.
Comment 7 RHEL Product and Program Management 2011-07-05 21:37:05 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 8 Jan Safranek 2011-12-13 09:01:18 EST
Bug #651207 got approved, which means that the package must be retested "since the support level and expectations for the package are higher". This retesting could at least partly cover re-testing needed by this rebase and IMHO it makes sense to approve also this bug.
Comment 10 Suzanne Yeghiayan 2012-01-31 16:19:11 EST
This request was evaluated by Red Hat Product Management for inclusion in the
current release of Red Hat Enterprise Linux. Because the affected component is
not scheduled to be updated in the current release, Red Hat is unfortunately
unable to address this request at this time.  It has been proposed for the next
release. If you would like it considered as an exception in the current
release, please ask your support representative.
Comment 13 Jamie Bainbridge 2012-11-25 16:58:38 EST
*** Bug 879121 has been marked as a duplicate of this bug. ***
Comment 33 errata-xmlrpc 2013-11-21 02:28:20 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1569.html

Note You need to log in before you can comment on or make changes to this bug.